org.apache.cassandra.serializers

## Class CollectionSerializer<T>

- java.lang.Object
- - org.apache.cassandra.serializers.CollectionSerializer<T>

All Implemented Interfaces:
  TypeSerializer<T>

Direct Known Subclasses:
  ListSerializer, MapSerializer, SetSerializer

    public abstract class CollectionSerializer<T>
    extends java.lang.Object
    implements TypeSerializer<T>

### Constructor Summary

Constructors
Constructor and Description
`CollectionSerializer()`

### Method Summary

Methods
`protected static int` `getUnsignedShort(java.nio.ByteBuffer bb)`
`static java.nio.ByteBuffer` `pack(java.util.List<java.nio.ByteBuffer> buffers, int elements)`
`protected static java.nio.ByteBuffer` `pack(java.util.List<java.nio.ByteBuffer> buffers, int elements, int size)`
`void` `validate(java.nio.ByteBuffer bytes)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.cassandra.serializers.TypeSerializer

`deserialize, getType, serialize, toString`

### Constructor Detail

#### CollectionSerializer

    public CollectionSerializer()

### Method Detail

#### validate

    public void validate(java.nio.ByteBuffer bytes)
                  throws MarshalException

Specified by:
  `validate` in interface `TypeSerializer<T>`
Throws:
  `MarshalException`

#### pack

    protected static java.nio.ByteBuffer pack(java.util.List<java.nio.ByteBuffer> buffers,
                           int elements,
                           int size)

#### pack

    public static java.nio.ByteBuffer pack(java.util.List<java.nio.ByteBuffer> buffers,
                           int elements)

#### getUnsignedShort

    protected static int getUnsignedShort(java.nio.ByteBuffer bb)